### org.jfree.layouting.output.pageable

# Class BorderShapeFactory.BorderDrawOperation

- `java.lang.Object`
- - `org.jfree.layouting.output.pageable.BorderShapeFactory.BorderDrawOperation`

Enclosing Class:
  BorderShapeFactory

`public static class BorderShapeFactory.BorderDrawOperation`
`extends java.lang.Object`

  ## Constructor Summary

  `BorderDrawOperation(Shape shape, Color color, BasicStroke stroke)`

  ## Method Summary

  `void`

  `draw(Graphics2D g2)`

  `void`

  `fill(Graphics2D g2)`

## Constructor Details

### BorderDrawOperation

    public BorderDrawOperation(Shape shape,
                               Color color,
                               BasicStroke stroke)

## Method Details

### draw

    public void draw(Graphics2D g2)

### fill

    public void fill(Graphics2D g2)